## rustc 1.66.0%2Bdfsg1

=== debian/changelog ===
rustc (1.66.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Blair Noctis ]
  * New upstream version 1.66.0+dfsg1
  * Drop outdated patches
  * Work around incorrect config handling (picking up initial rustc) when
    running tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 23 Apr 2023 20:45:41 +0200

=== debian/control ===
Source: rustc
Section: devel
Priority: optional
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo:native (>= 0.60.0)      <!pkg.rustc.dlstage0>,
 rustc:native (>= 1.65.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (<= 1.66.0++)    <!pkg.rustc.dlstage0>,
 llvm-15-dev:native,
 llvm-15-tools:native,
 gcc-mingw-w64-x86-64-posix:native [amd64] <!nowindows>,
 gcc-mingw-w64-i686-posix:native [i386] <!nowindows>,
 libllvm15 (>= 1:15.0.0),
 cmake (>= 3.0) | cmake3,
# needed by some vendor crates
 pkg-config,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 wasi-libc (>= 0.0~git20220510.9886d3d~~) <!nowasm>,
 wasi-libc (<= 0.0~git20220510.9886d3d++) <!nowasm>,
 clang-15:native,
Build-Conflicts: gdb-minimal <!nocheck>
Standards-Version: 4.2.1
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust

Package: rustc
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Recommends:
 cargo (>= 0.67.0~~), cargo (<< 0.68.0~~),
# llvm is needed for llvm-dwp for -C split-debuginfo=packed
 llvm-15,
Suggests:
# lld and clang are needed for wasm compilation
 lld-15, clang-15,
Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
Description: Rust systems programming language
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.

Package: libstd-rust-1.66
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rust standard libraries
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries, built as dylibs,
 needed to run dynamically-linked Rust programs (-C prefer-dynamic).

Package: libstd-rust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-1.66 (= ${binary:Version}),
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains development files for the standard Rust libraries,
 needed to compile Rust programs. It may also be installed on a system
 of another host architecture, for cross-compiling to this architecture.

Package: libstd-rust-dev-windows
Section: libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 gcc-mingw-w64-x86-64-posix [amd64],
 gcc-mingw-w64-i686-posix [i386],
Build-Profiles: <!nowindows>
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries including development files,
 needed to cross-compile Rust programs to the *-pc-windows-gnu target
 corresponding to the architecture of this package.

Package: libstd-rust-dev-wasm32
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
# Embeds wasi-libc so doesn't need to depend on it
# None of its licenses require source redistrib, so no need for Built-Using
Recommends:
 lld-15, clang-15,
Suggests:
# nodejs contains wasi-node for running the program
 nodejs (>= 12.16),
Build-Profiles: <!nowasm>
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries including development files,
 needed to cross-compile Rust programs to the wasm32-unknown-unknown and
 wasm32-wasi targets.

Package: rust-gdb
Architecture: all
Depends: gdb, ${misc:Depends}
Suggests: gdb-doc
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (gdb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking gdb on rust binaries.

Package: rust-lldb
Architecture: all
# When updating, also update rust-lldb.links
Depends: lldb-15, ${misc:Depends}, python3-lldb-15
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (lldb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking lldb on rust binaries.

Package: rust-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
 libjs-jquery, libjs-highlight.js, libjs-mathjax,
 fonts-open-sans, fonts-font-awesome
Recommends: cargo-doc
Description: Rust systems programming language - Documentation
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the Rust tutorial, language reference and
 standard library documentation.

Package: rust-src
Architecture: all
Depends: ${misc:Depends}
Description: Rust systems programming language - source code
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains sources of the Rust compiler and standard
 libraries, useful for IDEs and code analysis tools such as Racer.

Package: rust-clippy
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, ${shlibs:Depends},
 libstd-rust-1.66 (= ${binary:Version})
Recommends: cargo
Description: Rust linter
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains 'clippy', a linter to catch common mistakes and improve
 your Rust code as well a collection of over 400 compatible lints.
 .
 Lints are divided into categories, each with a default lint level. You can
 choose how much Clippy is supposed to annoy help you by changing the lint
 level by category.
 .

## rustc 1.66.1+dfsg0ubuntu1

=== debian/changelog ===
rustc (1.66.1+dfsg0ubuntu1-0ubuntu0.22.10.2) kinetic; urgency=medium

  * Release for Kinetic

 -- Zixing Liu <liushuyu011@gmail.com>  Tue, 21 Feb 2023 15:25:16 -0700

rustc (1.66.1+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.66.1 (LP: #2005122)
    - d/control: Switch to LLVM 15 for better optimizations
    - d/rules: Add workarounds for the new bootstrap tests
    - d/patches: Refresh patches to adapt to the new upstream changes
    - d/p/ubuntu-Revert-Use-constant-eval-to-do-strict-validity-check.patch:
      Dropped, no longer needed
    - d/copyright: refresh vendored crate license info
    - d/libstd-rust-1.66.lintian-overrides: update the override files
  * d/rules: Enable LLVM profiler support (LP: #2002694)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 01 Feb 2023 15:00:02 -0700

=== debian/control ===
Source: rustc
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dh-cargo (>= 28ubuntu1~),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo:native (>= 0.60.0)      <!pkg.rustc.dlstage0>,
 rustc:native (>= 1.64.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (<= 1.65.0++)    <!pkg.rustc.dlstage0>,
 llvm-15-dev:native,
 llvm-15-tools:native,
 libclang-common-15-dev (>= 1:15.0.0),
 libllvm15 (>= 1:15.0.0),
 cmake (>= 3.0) | cmake3,
# needed by some vendor crates
 pkg-config,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# Resources loaded from the docs, checked by linkchecker
 libjs-jquery <!nocheck>,
 libjs-highlight.js <!nocheck>,
 libjs-mathjax <!nocheck>,
 fonts-open-sans <!nocheck>,
 fonts-font-awesome <!nocheck>,
 fonts-nanum <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
 libc6-dbg [armhf],
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 clang-15:native,
 libssl-dev,
Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
Standards-Version: 4.2.1
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust
XS-Vendored-Sources-Rust: addr2line@0.16.0, addr2line@0.17.0, adler@0.2.3, adler@1.0.2, ahash@0.7.6, aho-corasick@0.7.18, always-assert@0.1.2, ammonia@3.2.0, annotate-snippets@0.9.1, ansi_term@0.12.1, anyhow@1.0.65, array_tool@1.0.3, arrayvec@0.7.2, askama@0.11.0, askama_derive@0.11.0, askama_escape@0.10.2, askama_shared@0.12.0, atty@0.2.14, autocfg@1.1.0, backtrace@0.3.66, base64@0.13.1, bitflags@1.3.2, block-buffer@0.10.2, bstr@0.2.17, bumpalo@3.11.0, bytecount@0.6.2, bytes@1.0.1, camino@1.1.1, cargo-platform@0.1.2, cargo_metadata@0.14.0, cargo_metadata@0.15.0, cc@1.0.73, cfg-if@0.1.10, cfg-if@1.0.0, chalk-derive@0.80.0, chalk-engine@0.80.0, chalk-ir@0.80.0, chalk-solve@0.80.0, chrono@0.4.19, clap@3.2.20, clap@4.0.15, clap_complete@3.1.1, clap_derive@3.2.18, clap_lex@0.2.2, clap_lex@0.3.0, cmake@0.1.48, colored@2.0.0, compiler_builtins@0.1.82, compiletest_rs@0.9.0, core-foundation-sys@0.8.3, countme@3.0.1, cov-mark@2.0.0-pre.1, cpufeatures@0.2.2, crc32fast@1.3.2, crossbeam-channel@0.5.6, crossbeam-deque@0.8.2, crossbeam-epoch@0.9.11, crossbeam-utils@0.8.12, crypto-common@0.1.3, crypto-common@0.1.6, cstr@0.2.8, ctor@0.1.22, dashmap@5.4.0, datafrog@2.0.1, derive-new@0.5.8, diff@0.1.13, digest@0.10.3, digest@0.10.6, dirs-next@2.0.0, dirs-sys-next@0.1.2, dirs-sys@0.3.6, dirs@4.0.0, dissimilar@1.0.4, dlmalloc@0.2.3, drop_bomb@0.1.5, either@1.8.0, elasticlunr-rs@3.0.0, ena@0.14.0, env_logger@0.7.1, env_logger@0.9.0, errno-dragonfly@0.1.2, errno@0.2.8, expect-test@1.4.0, fallible-iterator@0.2.0, fd-lock@3.0.6, filetime@0.2.17, fixedbitset@0.2.0, flate2@1.0.24, fluent-bundle@0.15.2, fluent-langneg@0.13.0, fluent-syntax@0.11.0, fnv@1.0.7, form_urlencoded@1.0.1, form_urlencoded@1.1.0, fortanix-sgx-abi@0.5.0, fs-err@2.8.1, futf@0.1.5, futures-channel@0.3.19, futures-core@0.3.19, futures-executor@0.3.19, futures-io@0.3.19, futures-macro@0.3.19, futures-sink@0.3.19, futures-task@0.3.19, futures-util@0.3.19, futures@0.3.19, generic-array@0.14.5, getopts@0.2.21, getrandom@0.1.14, getrandom@0.2.7, gimli@0.25.0, gimli@0.26.2, glob@0.3.0, globset@0.4.9, gsgdt@0.1.2, handlebars@4.3.3, hashbrown@0.12.3, heck@0.4.0, hermit-abi@0.1.19, hermit-abi@0.2.6, hex@0.4.3, hmac@0.12.1, home@0.5.3, home@0.5.4, html5ever@0.26.0, humantime@1.3.0, humantime@2.0.1, idna@0.3.0, if_chain@1.0.0, ignore@0.4.18, indexmap@1.9.1, indoc@1.0.6, instant@0.1.12, intl-memoizer@0.5.1, intl_pluralrules@7.0.1, io-lifetimes@0.7.2, itertools@0.10.5, itoa@1.0.4, jobserver@0.1.24, jsonpath_lib@0.2.6, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.135, libloading@0.7.3, libm@0.1.4, linux-raw-sys@0.0.46, lock_api@0.4.7, lock_api@0.4.9, log@0.4.17, lsp-types@0.93.1, lzma-sys@0.1.17, mac@0.1.1, maplit@1.0.2, markup5ever@0.11.0, matchers@0.1.0, matches@0.1.8, md-5@0.10.0, mdbook@0.4.21, measureme@10.1.0, memchr@2.5.0, memmap2@0.2.1, memmap2@0.5.7, memoffset@0.6.5, minifier@0.2.2, minimal-lexical@0.2.1, miniz_oxide@0.4.0, miniz_oxide@0.5.3, miniz_oxide@0.5.4, miow@0.3.7, miow@0.4.0, new_debug_unreachable@1.0.4, nom@7.1.0, ntapi@0.3.7, num-integer@0.1.43, num-traits@0.2.12, num_cpus@1.13.1, object@0.26.2, object@0.29.0, odht@0.3.1, once_cell@1.15.0, opener@0.5.0, ordered-float@2.10.0, os_str_bytes@6.0.0, output_vt100@0.1.3, packed_simd_2@0.3.4, parking_lot@0.11.2, parking_lot@0.12.1, parking_lot_core@0.8.5, parking_lot_core@0.9.3, pathdiff@0.2.1, percent-encoding@2.1.0, percent-encoding@2.2.0, perf-event-open-sys@1.0.1, perf-event@0.4.7, pest@2.3.0, pest_derive@2.3.0, pest_generator@2.3.0, pest_meta@2.3.0, petgraph@0.5.1, phf@0.10.1, phf_codegen@0.10.0, phf_generator@0.10.0, phf_shared@0.10.0, pin-project-lite@0.2.9, pin-utils@0.1.0, pkg-config@0.3.25, polonius-engine@0.13.0, ppv-lite86@0.2.8, precomputed-hash@0.1.1, pretty_assertions@0.7.2, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro-hack@0.5.19, proc-macro2@1.0.46, proc-macro2@1.0.47, psm@0.1.16, pulldown-cmark@0.9.2, punycode@0.4.1, quick-error@1.2.3, quine-mc_cluskey@0.2.4, quote@1.0.21, rand@0.7.3, rand@0.8.5, rand_chacha@0.2.2, rand_chacha@0.3.0, rand_core@0.5.1, rand_core@0.6.2, rand_hc@0.2.0, rand_xorshift@0.2.0, rand_xoshiro@0.6.0, rayon-core@1.9.3, rayon@1.5.3, redox_syscall@0.2.16, redox_users@0.4.0, regex-automata@0.1.10, regex-syntax@0.6.27, regex@1.6.0, remove_dir_all@0.5.3, rls-data@0.19.1, rls-span@0.5.3, rowan@0.15.10, rustc-ap-rustc_lexer@725.0.0, rustc-build-sysroot@0.3.3, rustc-demangle@0.1.21, rustc-hash@1.1.0, rustc-rayon-core@0.4.1, rustc-rayon@0.4.0, rustc-semver@1.1.0, rustc_tools_util@0.2.1, rustfix@0.6.1, rustix@0.35.6, rustversion@1.0.5, ryu@1.0.11, same-file@1.0.6, scoped-tls@1.0.0, scopeguard@1.1.0, self_cell@0.10.2, semver@1.0.14, serde-value@0.7.0, serde@1.0.145, serde@1.0.147, serde_derive@1.0.145, serde_derive@1.0.147, serde_json@1.0.85, serde_json@1.0.86, serde_repr@0.1.9, sha-1@0.10.0, sha1@0.10.5, sha2@0.10.2, sharded-slab@0.1.4, shell-escape@0.1.5, shlex@1.0.0, siphasher@0.3.3, slab@0.4.2, smallvec@1.10.0, smallvec@1.9.0, smol_str@0.1.23, snap@1.0.5, stable_deref_trait@1.2.0, stacker@0.1.14, string_cache@0.8.3, string_cache_codegen@0.5.2, strsim@0.10.0, subtle@2.4.1, syn@1.0.102, synstructure@0.12.6, sysinfo@0.24.2, tar@0.4.38, tempfile@3.2.0, tendril@0.4.3, term@0.7.0, termcolor@1.1.2, termize@0.1.1, tester@0.9.0, text-size@1.1.0, textwrap@0.15.0, thin-vec@0.2.8, thiserror-impl@1.0.33, thiserror-impl@1.0.37, thiserror@1.0.33, thiserror@1.0.37, thorin-dwp@0.3.0, thread_local@1.1.4, time@0.1.43, tinystr@0.3.4, tinyvec@1.6.0, tinyvec_macros@0.1.0, tokio@1.8.4, toml@0.5.9, toml_datetime@0.5.0, topological-sort@0.1.0, tracing-attributes@0.1.22, tracing-attributes@0.1.23, tracing-core@0.1.30, tracing-log@0.1.3, tracing-subscriber@0.3.16, tracing-subscriber@0.3.3, tracing-tree@0.2.1, tracing@0.1.37, type-map@0.4.0, typenum@1.15.0, typenum@1.16.0, ucd-parse@0.1.8, ucd-trie@0.1.3, ungrammar@1.16.1, unic-char-property@0.9.0, unic-char-range@0.9.0, unic-common@0.9.0, unic-emoji-char@0.9.0, unic-langid-impl@0.9.0, unic-langid-macros-impl@0.9.0, unic-langid-macros@0.9.0, unic-langid@0.9.0, unic-ucd-version@0.9.0, unicase@2.6.0, unicode-bidi@0.3.8, unicode-ident@1.0.5, unicode-normalization@0.1.22, unicode-script@0.5.5, unicode-security@0.1.0, unicode-segmentation@1.10.0, unicode-width@0.1.10, unicode-width@0.1.9, unicode-xid@0.2.4, unicode_categories@0.1.1, unified-diff@0.2.1, url@2.2.2, url@2.3.1, utf-8@0.7.5, valuable@0.1.0, version_check@0.9.4, walkdir@2.3.2, wasi@0.11.0+wasi-snapshot-preview1, wasi@0.9.0+wasi-snapshot-preview1, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.28.0, windows-sys@0.36.1, windows_aarch64_msvc@0.28.0, windows_aarch64_msvc@0.36.1, windows_i686_gnu@0.28.0, windows_i686_gnu@0.36.1, windows_i686_msvc@0.28.0, windows_i686_msvc@0.36.1, windows_x86_64_gnu@0.28.0, windows_x86_64_gnu@0.36.1, windows_x86_64_msvc@0.28.0, windows_x86_64_msvc@0.36.1, write-json@0.1.2, xattr@0.2.3, xflags-macros@0.3.0, xflags@0.3.0, xshell-macros@0.2.2, xshell@0.2.2, xz2@0.1.6, yansi-term@0.1.2

Package: rustc
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Suggests:
# lld and clang are needed for wasm compilation
# llvm is needed for llvm-dwp for -C split-debuginfo=packed
 cargo (>= 0.65.0~~), cargo (<< 0.66.0~~),
 llvm-15, lld-15, clang-15,
Replaces: libstd-rust-dev (<< 1.26.2+dfsg1+llvm-0ubuntu1~~)
Breaks: libstd-rust-dev (<< 1.26.2+dfsg1+llvm-0ubuntu1~~)
Description: Rust systems programming language
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.

Package: libstd-rust-1.66
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rust standard libraries
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries, built as dylibs,
 needed to run dynamically-linked Rust programs (-C prefer-dynamic).

Package: libstd-rust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-1.66 (= ${binary:Version}),
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains development files for the standard Rust libraries,
 needed to compile Rust programs. It may also be installed on a system

## rustc 1.66.1+dfsg0ubuntu1-0ubuntu0.22.04.1+11.0trisquel1

=== src/test/run-make-fulldeps/reproducible-build-2/Makefile ===
include ../tools.mk

# ignore-musl
# ignore-windows
# Objects are reproducible but their path is not.

all:  \
	fat_lto \
	sysroot

fat_lto:
	rm -rf $(TMPDIR) && mkdir $(TMPDIR)
	$(RUSTC) reproducible-build-aux.rs
	$(RUSTC) reproducible-build.rs -C lto=fat
	cp $(TMPDIR)/reproducible-build $(TMPDIR)/reproducible-build-a
	$(RUSTC) reproducible-build.rs -C lto=fat
	cmp "$(TMPDIR)/reproducible-build-a" "$(TMPDIR)/reproducible-build" || exit 0

sysroot:
	rm -rf $(TMPDIR) && mkdir $(TMPDIR)
	$(RUSTC) reproducible-build-aux.rs
	$(RUSTC) reproducible-build.rs --crate-type rlib --sysroot $(shell $(RUSTC) --print sysroot) --remap-path-prefix=$(shell $(RUSTC) --print sysroot)=/sysroot
	cp -R $(shell $(RUSTC) --print sysroot) $(TMPDIR)/sysroot
	cp $(TMPDIR)/libreproducible_build.rlib $(TMPDIR)/libfoo.rlib
	$(RUSTC) reproducible-build.rs --crate-type rlib --sysroot $(TMPDIR)/sysroot --remap-path-prefix=$(TMPDIR)/sysroot=/sysroot
	cmp "$(TMPDIR)/libreproducible_build.rlib" "$(TMPDIR)/libfoo.rlib" || exit 1

=== src/test/run-make-fulldeps/sysroot-crates-are-unstable/Makefile ===
include ../tools.mk

RUSTC := $(RUSTC_ORIGINAL)

all:
	$(HOST_RPATH_ENV) '$(PYTHON)' test.py

=== debian/changelog ===
rustc (1.66.1+dfsg0ubuntu1-0ubuntu0.22.04.1+11.0trisquel1) aramo-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 01 Jul 2023 18:40:10 +0000

rustc (1.66.1+dfsg0ubuntu1-0ubuntu0.22.04.1) jammy; urgency=medium

  * Release for Jammy

 -- Zixing Liu <liushuyu011@gmail.com>  Tue, 21 Feb 2023 15:25:16 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rustc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ximin Luo <infinity0@debian.org>,
@@ -11,7 +11,7 @@
 Build-Depends:
  debhelper (>= 9),
  debhelper-compat (= 13),
- dh-cargo (>= 28ubuntu1~),
+# dh-cargo (>= 28ubuntu1~),
  dpkg-dev (>= 1.17.14),
  python3:native,
  cargo:native (>= 0.60.0)      <!pkg.rustc.dlstage0>,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The build regressed back when LTO was systematized in Ubuntu.
# This should be periodically revisited.
export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
SED_VERSION_SHORT := sed -re 's/([^.]+)\.([^.]+)\..*/\1.\2/'
RUST_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | $(SED_VERSION_SHORT))
RUST_LONG_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -re 's/([^+]+).*/\1/')
LIBSTD_PKG := libstd-rust-$(RUST_VERSION)
# Sed expression that matches the "rustc" we have in our Build-Depends field
SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc:native .*,/p}" debian/control
# Version of /usr/bin/rustc
LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')

include /usr/share/dpkg/buildflags.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export CARGO_HOME = $(CURDIR)/debian/cargo

# Defines DEB_*_RUST_TYPE triples
include debian/architecture.mk
# for dh_install substitution variable
export DEB_HOST_RUST_TYPE

# for dh_install substitution variable
export RUST_LONG_VERSION

DEB_DESTDIR := $(CURDIR)/debian/tmp

# Use system LLVM (comment out to use vendored LLVM)
LLVM_VERSION = 15
OLD_LLVM_VERSION = 14
# used by the patched profiler build script
CLANG_RT_ARCH := $(DEB_TARGET_GNU_CPU)
ifeq (i386,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = i386
endif
ifeq (armhf,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = armhf
endif
export DEB_LLVM_VERSION = $(LLVM_VERSION)
export DEB_CLANG_RT_ARCH = $(CLANG_RT_ARCH)
# Make it easier to test against a custom LLVM
ifneq (,$(LLVM_DESTDIR))
LLVM_LIBRARY_PATH := $(LLVM_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(LLVM_DESTDIR)/usr/lib
LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(LLVM_LIBRARY_PATH),$(LLVM_LIBRARY_PATH))
export LD_LIBRARY_PATH
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH),riscv64)
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := -j 4
endif
endif
RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
# rust-tidy depends on lots of modules that we strip out of the build.
# it also tries to access the network for some reason. so just disable it.
RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
# See src/bootstrap/README.md for more options.
RUSTBUILD_TEST_FLAGS =

# https://github.com/rust-lang/rust/issues/89744
# TODO: remove when we update cargo to 1.55 / 0.56
# upstream bug still exists and is under investigation, but is hidden by newer cargo
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=0

update-version:
	oldver=$(shell $(SED_RUSTC_BUILDDEP) | sed -ne 's/.*(<= \(.*\)).*/\1/gp' | $(SED_VERSION_SHORT)); \
	newver=$(RUST_VERSION); \
	debian/update-version.sh $$oldver $$newver $(RUST_LONG_VERSION) $(CARGO_NEW)

# Below we detect how we're supposed to bootstrap the stage0 compiler. See
# README.Debian for more details of the cases described below.
#
PRECONFIGURE_CHECK = :
HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
DOWNLOAD_BOOTSTRAP := false
# allow not using the binary tarball although it exists
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
#  HAVE_BINARY_TARBALL := 0
#endif
ifeq (0,$(HAVE_BINARY_TARBALL))
    # Case A (Building from source): the extracted source tree does not include
    # a bootstrapping tarball for the current architecture e.g. because the
    # distro already has a rustc for this arch, or the uploader expects that
    # this requirement be fulfilled in some other way.
    #
    # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
    # In this case, we use the distro's rustc - either the previous or current version.
    ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
        # Make it easier to test against a custom rustc
        ifneq (,$(RUST_DESTDIR))
        RUST_LIBRARY_PATH := $(RUST_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_DESTDIR)/usr/lib
        LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(RUST_LIBRARY_PATH),$(RUST_LIBRARY_PATH))
        export LD_LIBRARY_PATH
        endif
    #
    # Case A-2: the builder selected the "dlstage0" build profile.
    # In this case, the rust build scripts will download a stage0 into stage0/ and use that.
    # We don't need to do anything specific in this build file, so this case is empty.
    else
        DOWNLOAD_BOOTSTRAP := true
    endif
else
    # Case B (Bootstrapping a new distro): the extracted source tree does
    # include a bootstrapping tarball for the current architecture; see the
    # `source_orig-stage0` target below on how to build this.
    #
    # In this case, we'll bootstrap from the stage0 given in that tarball.
    # To ensure the uploader of the .dsc didn't make a mistake, we first check
    # that rustc isn't a Build-Depends for the current architecture.
    ifneq (,$(shell $(SED_RUSTC_BUILDDEP)))
    ifeq (,$(shell $(SED_RUSTC_BUILDDEP) | grep '!$(DEB_HOST_ARCH)'))
        PRECONFIGURE_CHECK = $(error found matches for stage0/*/*$(DEB_HOST_RUST_TYPE)*, \
          but rustc might be a Build-Depends for $(DEB_HOST_ARCH))
    endif
    endif
endif

BUILD_DOCS := true
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
  BUILD_DOCS := false
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOCS := false
endif

BUILD_WASM := false

BUILD_WINDOWS := false

MAKE_OPTIMISATIONS := true
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  MAKE_OPTIMISATIONS := false
endif

VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))

ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
  export DH_VERBOSE=1
endif

ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
  export DH_QUIET=1
.SILENT:
endif

# Build products or non-source files in src/, that shouldn't go in rust-src
SRC_CLEAN = src/bootstrap/bootstrap.pyc \
	src/bootstrap/__pycache__ \
	src/etc/__pycache__/

# Try to work around #933045
ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
endif

%:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel

.PHONY: .dbg-windows
.dbg-windows:
	@echo host=$(DEB_BUILD_ARCH) target=$(DEB_HOST_ARCH) BUILD_WINDOWS=$(BUILD_WINDOWS) WINDOWS_ARCH=$(WINDOWS_ARCH)

.PHONY: build
build:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig

debian/config.toml: debian/config.toml.in debian/rules
	u="$(DEB_VERSION_UPSTREAM)"; \
	if [ "$$u" != "$${u%~beta.*+dfsg*}" ]; then channel="beta"; \
	else channel="stable"; fi; \
	m4  -DRELEASE_CHANNEL="$$channel" \
		-DDEB_BUILD_RUST_TYPE="$(DEB_BUILD_RUST_TYPE)" \
		-DDEB_HOST_RUST_TYPE="$(DEB_HOST_RUST_TYPE)" \
		-DDEB_TARGET_RUST_TYPE="$(DEB_TARGET_RUST_TYPE)" \
		-DDEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
		-DDEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
		-DDEB_TARGET_GNU_TYPE="$(DEB_TARGET_GNU_TYPE)" \
		-DMAKE_OPTIMISATIONS="$(MAKE_OPTIMISATIONS)" \
		-DVERBOSITY="$(VERBOSITY)" \
		-DLLVM_DESTDIR="$(LLVM_DESTDIR)" \
		-DLLVM_VERSION="$(LLVM_VERSION)" \
		-DRUST_DESTDIR="$(RUST_DESTDIR)" \
		"$<" > "$@"
	if $(DOWNLOAD_BOOTSTRAP) || [ $(HAVE_BINARY_TARBALL) != 0 ]; \
	  then sed -i -e '/^rustc = /d' -e '/^cargo = /d' "$@"; fi
# Work around low-memory (32-bit) architectures: https://github.com/rust-lang/rust/issues/45854
# i386 and x32 fail to mmap rustc_driver when building rustdoc in >1.60
